/*
 *
 * Copyright(C) OASIS(R) 2009, 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.
 *
 */

/**
 * C component implementation with
 * 1 service with interface Service1
 * 1 reference (0..1) with interface Service1
 * configured wire gets called when service1 operation1 is invoked, if present
 * @author Bryan Aupperle
 *
 */


#include "Service1.h"
#include "SCA.h"

/* @Property */
char serviceName[50];

/* @Reference(name="reference1", interfaceHeader="Service1.h", required="false") */

char *operation1(const char *input) {
	SCAREF serviceToken;
	int compCode, reason, size = 50, num_values = 1;
	char *pServiceName = serviceName, response1[255], *result;

	SCAPropertyCString(L"serviceName", &pServiceName, &size, &num_values, &compCode, &reason);

	result = (char *)malloc(255);  /* infrastructure must free this */
	strcpy(result, serviceName);
	strcat(result, " operation1 invoked ");

	SCAGetReference(L"reference1", &serviceToken, &compCode, &reason);
	if (serviceToken) {
		size = 255;
		SCAInvoke(serviceToken, L"operation1", strlen(input), (void *)input,
		          &size, (void *)response1, &compCode, &reason);

		strcat(result, " ");
		strcat(result, response1);
	}

	return result;
};
