/*
 *
 * Copyright(C) OASIS(R) 2009, 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.
 *
 */

/**
 * C component implementation with
 * 1 service with interface Service1,
 * 1 reference (1..1) with interface Service4
 * - reference gets called when service1 operation1 is invoked
 * - implementation test whether the mutable parameter of Service4 operation1 gets modified by the target service
 * @author Bryan Aupperle
 *
 */


#include "Service1.h"
#include "SCA.h"

/* @Property */
char serviceName[50];

/* @Reference(name="reference1", interfaceHeader="Service4.h") */

char *operation1(const char *input) {
	SCAREF serviceToken;
	int compCode, reason, size = 50, num_values = 1, i;
	char *pServiceName = serviceName, response1[255], *result;
	char *parameter[2], data[2][255];

	SCAPropertyCString(L"serviceName", &pServiceName, &size, &num_values, &compCode, &reason);

	result = (char *)malloc(255);  /* infrastructure must free this */

	SCAGetReference(L"reference1", &serviceToken, &compCode, &reason);
	size = 255;
	for (i = 0; i < 2; i++)
		parameter[i] = &data[i][0];
	strcpy(parameter[0], input);
	strcpy(parameter[1], "Second");
	SCAInvoke(serviceToken, L"operation1", strlen(input), (void *)parameter,
	          &size, (void *)response1, &compCode, &reason);
	if(!strcmp(input, parameter[0])) {
		strcpy(result, serviceName);
		strcat(result, "input parameter modified!!");
		return result;
	}

	strcpy(result, serviceName);
	strcat(result, " operation1 invoked ");
	strcat(result, response1);
	return result;
};
