/*
 *
 * Copyright(C) OASIS(R) 2009, 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.
 *
 */

/**
 * C++ component implementation
 * 1 service with interface Service4, where the implementation method modifies the input parameter
 * 0 references
 *
 * @author Bryan Aupperle
 *
 */

#include "Service4Impl.h"
#include "oasis/sca/RefCountingPointer.h"
#include "oasis/sca/ComponentContext.h"
#include "commonj/sdo/sdo.h"
#include <string>
#include <list>
using namespace oasis::sca;

// Construction/Destruction

Service4Impl::Service4Impl()
{
	ComponentContextPtr context = ComponentContext::getCurrent();

	commonj::sdo::DataObjectPtr properties = context->getProperties();

	serviceName = properties->getString("serviceName");

	return;
}


Service4Impl::~Service4Impl()
{
	return;
}

// Implementation

std::string Service4Impl::operation1(std::list<std::string> input) {
	std::list<std::string>::iterator it = input.begin();
	if (it != NULL)
		it->append("+1");
	std::string result = serviceName + " operation1 invoked [";
	result.append(*it);
	do {
		it++;
		result.append(" " + *it);
	} while (it != input.end());
	result.append("]");
	return result;
}
