/*
 * Copyright(C) OASIS(R) 2009, 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client;

import testClient.TestInvocation;

/**
 * Tests that when a component<reference/> element has a @target attribute containing a single target in 
 * the form "component-name/service-name" and the component with the name "component-name" has multiple services, 
 * each of which are compatible with the reference, but none of them has the name "service-name", that 
 * the reference is not wired to any service and the SCA runtime raises an error  
 */
public class ASM_6036_TestCase extends BaseJAXWSTestRunner {

 
    protected TestConfiguration getTestConfiguration() {
    	TestConfiguration config = new TestConfiguration();
    	config.testName 		= this.getClass().getSimpleName().substring(0, 8);
    	config.input 			= "request";
    	config.output[0] 		= "exception";
    	config.composite 		= "Test_" + config.testName + ".composite";
    	config.testServiceName 	= "TestClient";
  
    	config.contributionNames	= new String[] { "ASM_6036", "General", "General" + _Lang };
    	config.serviceInterface = TestInvocation.class;
    	return config;
    }
    
} // end class Test_ASM_6036
