/*
 * Copyright(C) OASIS(R) 2009, 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client;


  

import testClient.TestInvocation;

/**
 * Client for ASM_12009_TestCase
 * Tests that where a contribution contains an <import/> declaration with a specified target contribution 
 * which refers to the namespace of a referenced artifact and where the artifact is NOT present in the target 
 * contribution which exports the namespace, that the artifact is resolved in the first contribution when a 
 * copy of the artifact exists in the original contribution
 */
public class ASM_12009_TestCase extends BaseJAXWSTestRunner {

 
    protected TestConfiguration getTestConfiguration() {
    	TestConfiguration config = new TestConfiguration();
    	config.testName 		= this.getClass().getSimpleName().substring(0, 9);
    	config.input 			= "request";
    	config.output[0] 			= config.testName + " " + config.input + " servicex operation1 invoked" ;
    	config.composite 		= "Test_" + config.testName + ".composite";
    	config.testServiceName 	= "TestClient";
  
    	// 3 contributions - with one artifact imported by the first one from the second one - except that
    	// it is not present in the second one but is present in the first one
    	config.contributionNames	= new String[] { "ASM_12009", "Contribution1", "General", "General" + _Lang };
    	config.serviceInterface = TestInvocation.class;
    	return config;
    }
    
} // end class Test_ASM_12009
