/*
 * Copyright(C) OASIS(R) 2009, 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client;


  

import testClient.TestInvocation;

/**
 * Client for ASM_0017_TestCase, which tests that where a <reference/> 
 * of a <component/> has no <binding/> child element, but the 
 * corresponding <reference/> element in the componentType does have 
 * a binding child element, the <binding/> from the componentType is 
 * used for the reference 
 */
public class ASM_5017_TestCase extends BaseJAXWSTestRunner {

 
    protected TestConfiguration getTestConfiguration() {
    	TestConfiguration config = new TestConfiguration();
    	config.testName 		= "ASM_5017";
    	config.input 			= "request";
    	config.output[0] 			= "ASM_5017 request service1 operation1 invoked service2 operation1 invoked";
    	config.composite 		= "Test_ASM_5017.composite";
    	config.testServiceName 	= "TestClient";
  
    	config.contributionNames	= new String[] { "General", "General" + _Lang };
    	config.serviceInterface = TestInvocation.class;
    	return config;
    }
    
} // end class Test_ASM_5017
